// Contains levels for Sokoban
//
// The following characters classify the different fields:
// Space: free field
// *: border field
// t: free target field
// b: box
// B: box on target field
// p: player
// P: player on target field

// each level has 12 fields horizontally (XSIZE) and 11 fields vertically (YSIZE)

const tU8 defaultField[] =     // default configuration for fields
{
// Level 00
   "************"
   "************"
   "************"
   "**        **"
   "**  b b b **"
   "***p***** **"
   "**   t t t**"
   "**        **"
   "************"
   "************"
   "************"
//
// Level 01
   "************"
   "************"
   "***   *   **"
   "*** b   b **"
   "**** * * ***"
   "***  * *  **"
   "***  tBt  **"
   "***** p ****"
   "************"
   "************"
   "************"
//
// Level 02
   "************"
   "************"
   "**  **  ****"
   "**     b  **"
   "**tt**pb  **"
   "**tt** b  **"
   "**     b  **"
   "**  **  ****"
   "************"
   "************"
   "************"
//
// Level 03
   "************"
   "************"
   "**     *t **"
   "**  b   tt**"
   "**    *  t**"
   "***** ******"
   "** b b b p**"
   "**        **"
   "************"
   "************"
   "************"
//
// Level 04
   "************"
   "************"
   "******  *  *"
   "****** b b *"
   "******  *  *"
   "* tt * p   *"
   "*  t   b*b *"
   "*  t *  *  *"
   "************"
   "************"
   "************"
//
// Level 05
   "************"
   "************"
   "*          *"
   "*     bbb  *"
   "** *  bpb  *"
   "*ttt**bbb***"
   "*t t       *"
   "*ttt  *    *"
   "************"
   "************"
   "************"
//
// Level 06
   "************"
   "************"
   "**  t*  *  *"
   "**tttt b*b *"
   "**  t*     *"
   "******  *  *"
   "**  b  bbb *"
   "**    p *  *"
   "************"
   "************"
   "************"
//
// Level 07
   "************"
   "***  *******"
   "***     t  *"
   "***t**b *  *"
   "***  * ** **"
   "*** b p b **"
   "*** ** *  **"
   "**  * b**t**"
   "**  t     **"
   "********  **"
   "************"
//
// Level 08
   "************"
   "************"
   "*****  *  **"
   "* t b tb t**"
   "*p  *  *  **"
   "**b**b*** **"
   "*  *   **b**"
   "*t b t     *"
   "*  ***** t *"
   "************"
   "************"
//
// Level 09
   "*****   ****"
   "****  * ****"
   "** bb *b b *"
   "**         *"
   "** b*p*** **"
   "**     *tt *"
   "****bb *tt *"
   "****   *tt *"
   "*****b  tt**"
   "*****  *****"
   "************"
//
// Level 10
   "************"
   "*****   *  *"
   "*****b    b*"
   "***    b*  *"
   "***     *b  "
   "******b**   "
   "tt * b  **  "
   "tt  p   ****"
   "tt   *******"
   "************"
   "************"
//
// Level 11
   "************"
   "**        **"
   "*ttt bb   **"
   "*ttt*  *   *"
   "*ttt* * b  *"
   "*****p  * **"
   "*****b ** **"
   "**** bb b **"
   "**** b b ***"
   "****     ***"
   "************"
//
// Level 12
   "*****   ****"
   "****  * ****"
   "** bb *b b *"
   "**         *"
   "** b*p*** **"
   "**     *tt *"
   "****bb *tt *"
   "****   *ttt*"
   "*****b btt**"
   "*****  *****"
   "************"
//
// Level 13
   "************"
   "***    *****"
   "*** ** *****"
   "*** * btt***"
   "**  b ptt***"
   "** b **tt***"
   "***  *** ***"
   "**   b *  **"
   "**  b   b **"
   "****   *****"
   "************"
//
// Level 14
   "************"
   "      *    *"
   " b bb *    *"
   "  * b *tt* *"
   " bb p  tt  *"
   "      *tt*  "
   " b*****tt*  "
   " b   * tt*  "
   " b b *      "
   "    **      "
   "************"
//
// Level 15
   "************"
   "***    *****"
   "***b** *****"
   "*** *  tt***"
   "**     tB***"
   "**   **tt***"
   "*** ****b***"
   "**   b * p**"
   "**  b   b **"
   "****   *****"
   "************"
//
// Level 16
   "************"
   "      *    *"
   " bbbb *    *"
   "    b**tt***"
   "* * b  ttp *"
   "     **tt*  "
   " b*****tt*  "
   " b   * tt   "
   " b b *      "
   "    **      "
   "************"
//
// Level 17
   "************"
   "*tt  ****p**"
   "*tt  ***   *"
   "*tt     bb *"
   "*tt  * * b *"
   "*tt*** * b *"
   "**** b *b  *"
   "****  b* b *"
   "**** b  b  *"
   "****  **   *"
   "************"
//
// Level 18
   "************"
   "tt  *     **"
   "tt  * b  b  "
   "tt  *b****  "
   "tt    p **  "
   "tt  * *  b *"
   "***** **b b "
   "** b  b b b "
   "**    *     "
   "************"
   "************"
//
// Level 19
   "********   *"
   "** * p** bb "
   "*    b      "
   "*  b  ***   "
   "*** *****b**"
   "* b  *** tt*"
   "* b b b ttt*"
   "*    ***ttt*"
   "* bb ***ttt*"
   "*  *********"
   "************"

};

